import request, { postBlob, getBlob, handleImport } from '@/utils/request'

// 获取列表
export function listPageV2(data) {
  return request({
    url: `/order/smalltype/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

//导出
export function pageExport(data, name) {
  return postBlob({
    url: '/order/smalltype/list/export',
    data,
    name
  })
}

// 保存
export function save(data) {
  return request({
    url: `/order/smalltype/save`,
    method: 'post',
    data
  })
}

// 删除
export function del(params) {
  return request({
    url: `/order/smalltype/delete`,
    method: 'post',
    params
  })
}

// 详情
export function getDetail(params) {
  return request({
    url: `/order/smalltype/detail`,
    method: 'post',
    params
  })
}